Subject: Re: bug#16481: dfa.c and Rational Range Interpretation

From: Paolo Bonzini <[email-masked]>
Date: Mon, 10 Feb 2014 00:18:40 +0100

Il 17/01/2014 23:43, Paul Eggert ha scritto:
>> > I do think that gawk's code is the correct thing to be doing for RRI.
> I agree, and installed the second patch enclosed below to
> implement this.  This patch also includes some documentation
> changes -- if you have a bit of time to review them I'd
> appreciate it.

Please revert commit 1078b64302bbf5c0a46635772808ff7f75171dbc.

The correct course of action for grep is to defer range interpretation 
to regex, because otherwise you can get mismatches between regexes with 
backreferences and those without.

For example, [A-Z]. will use RRI but ([A-Z])\1 won't, with the confusing 
result that the first regex won't match a superset of the language 
described by the second regex.

For this reason, if you want to have RRI, then you need to make sure 
that you compile --with-included-regex.

Paolo